App\Library\Amazon\Classes\Computer:
    xml_root_name: Computer
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        cableLength:
            expose: true
            access_type: public_method
            serialized_name: CableLength
            accessor:
                getter: getCableLength
                setter: setCableLength
            type: App\Library\Amazon\Classes\CableLength
        connectionInterface:
            expose: true
            access_type: public_method
            serialized_name: ConnectionInterface
            accessor:
                getter: getConnectionInterface
                setter: setConnectionInterface
            xml_list:
                inline: true
                entry_name: ConnectionInterface
            type: array<App\Library\Amazon\Classes\ConnectionInterface>
        connectorNumber:
            expose: true
            access_type: public_method
            serialized_name: ConnectorNumber
            accessor:
                getter: getConnectorNumber
                setter: setConnectorNumber
            type: App\Library\Amazon\Classes\ConnectorNumber
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        numberOfUSBHubConnectorPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfUSBHubConnectorPorts
            accessor:
                getter: getNumberOfUSBHubConnectorPorts
                setter: setNumberOfUSBHubConnectorPorts
            type: App\Library\Amazon\Classes\NumberOfUSBHubConnectorPorts
        pressureLevels:
            expose: true
            access_type: public_method
            serialized_name: PressureLevels
            accessor:
                getter: getPressureLevels
                setter: setPressureLevels
            type: App\Library\Amazon\Classes\PressureLevels
        tabletMaximumDataRate:
            expose: true
            access_type: public_method
            serialized_name: TabletMaximumDataRate
            accessor:
                getter: getTabletMaximumDataRate
                setter: setTabletMaximumDataRate
            type: App\Library\Amazon\Classes\TabletMaximumDataRate
        tabletMinimumSystemRequirements:
            expose: true
            access_type: public_method
            serialized_name: TabletMinimumSystemRequirements
            accessor:
                getter: getTabletMinimumSystemRequirements
                setter: setTabletMinimumSystemRequirements
            type: App\Library\Amazon\Classes\TabletMinimumSystemRequirements
        tabletResolution:
            expose: true
            access_type: public_method
            serialized_name: TabletResolution
            accessor:
                getter: getTabletResolution
                setter: setTabletResolution
            type: App\Library\Amazon\Classes\TabletResolution
        tabletSurfaceActiveArea:
            expose: true
            access_type: public_method
            serialized_name: TabletSurfaceActiveArea
            accessor:
                getter: getTabletSurfaceActiveArea
                setter: setTabletSurfaceActiveArea
            type: App\Library\Amazon\Classes\TabletSurfaceActiveArea
        tVTunerMemory:
            expose: true
            access_type: public_method
            serialized_name: TVTunerMemory
            accessor:
                getter: getTVTunerMemory
                setter: setTVTunerMemory
            type: App\Library\Amazon\Classes\TVTunerMemory
        tVTunerVideoOutputInterface:
            expose: true
            access_type: public_method
            serialized_name: TVTunerVideoOutputInterface
            accessor:
                getter: getTVTunerVideoOutputInterface
                setter: setTVTunerVideoOutputInterface
            xml_list:
                inline: true
                entry_name: TVTunerVideoOutputInterface
            type: array<App\Library\Amazon\Classes\TVTunerVideoOutputInterface>
        tVTunerVideoStandard:
            expose: true
            access_type: public_method
            serialized_name: TVTunerVideoStandard
            accessor:
                getter: getTVTunerVideoStandard
                setter: setTVTunerVideoStandard
            type: App\Library\Amazon\Classes\TVTunerVideoStandard
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
